API V1
  • Global information
  • Authentication
  • Data format
  • Rate Limit
  • Errors
  • Pagination
RESOURCES
  • Addon providers
  • Addons
  • Alerts
  • Applications
  • Audit Logs
  • Autoscalers
  • Billing
  • Collaborators
  • Container Sizes
  • Cron Tasks
  • Data Access Consents
  • Databases
  • Deployment
  • Domains
  • Environment variables
  • Event Categories
  • Event Types
  • Events
  • Invoices
  • SSH Keys
  • Log Drains
  • Application Logs
  • Metrics
  • Notification Platforms
  • Notifiers
  • One-off Containers
  • Operations
    • Get an operation
  • Projects
  • Referral
  • Regions
  • SCM Integrations
  • Integration Link
  • Sources
  • Stacks
  • Tokens
  • User Account
LINKS
  • Addon Provider API
  • Database API
  • One-click Deployment API
  • scalingo.json Schema
  • Main site
  • Dashboard

Operations

Operation attributes

field type description
id string unique ID
created_at date creation date of the application
finished_at date last time the application has been updated
status string status of the operation
type string type of operation
error string text of error if status == “error”

Example object:

{
  "id": "54100930736f7563d5030000",
  "created_at": "2014-09-10T10:17:52.690+02:00",
  "finished_at": "2014-09-10T10:17:59.120+02:00",
  "status": "pending",
  "type": "restart"
}

{
  "id": "54100930736f7563d5030000",
  "created_at": "2014-09-10T10:17:52.690+02:00",
  "finished_at": "2014-09-10T10:17:59.120+02:00",
  "status": "error",
  "type": "restart",
  "error": "container web-1 failed to restart"
}

Get an operation

GET https://$SCALINGO_API_URL/v1/apps/[:app]/operations/[:operation_id]

Display a given operation.

Possible status for an operation:

  • pending: Default status when the instruction has been given
  • running: When the action is actually made
  • done: When the action is finished with success
  • error: If something wrong happened, please read the ‘error’ property

Example request

curl -H "Accept: application/json" -H "Content-Type: application/json" \
  -H "Authorization: Bearer $BEARER_TOKEN" \
  -X GET https://$SCALINGO_API_URL/v1/apps/example-app/operations/54100930736f7563d5030000

Returns 200 OK

{
  "operation": {
    "id": "54100930736f7563d5030000",
    "created_at": "2014-09-10T10:17:52.690+02:00",
    "finished_at": "2014-09-10T10:17:59.120+02:00",
    "status": "pending",
    "type": "restart"
  }
}